using AutoScan.Interfaces;
using AutoScan.Options;
using Microsoft.Extensions.Options;

namespace AutoScan.Implementations;

public class ShinobiLinkFactory : IShinobiLinkFactory
{
    private readonly ShinobiOptions _options;

    public ShinobiLinkFactory(IOptions<ShinobiOptions> options)
    {
        _options = options.Value;
    }

    public string BuildMonitorLink()
    {
        return $"{_options.URL}/{_options.APIKey}/monitor/{_options.GroupId}/{_options.MonitorId}";
    }

    public string BuildFeedLink()
    {
        return $"{_options.URL}/{_options.APIKey}/mjpeg/{_options.GroupId}/{_options.MonitorId}";
    }

    public string BuildVideosLink(DateTime from, DateTime to)
    {
        return $"{_options.URL}/{_options.APIKey}/videos/{_options.GroupId}/{_options.MonitorId}" +
               $"?start={from:yyyy-MM-ddTHH:mm:sszzz}&end={to:yyyy-MM-ddTHH:mm:sszzz}";
    }

    public string FromHref(string href)
    {
        return $"{_options.URL}{href}";
    }
}