using System.Text.Json;
using System.Text.Json.Serialization;

namespace AutoScan.Models;

public class Monitor
{
    public string? ke { get; init; }
    public string? name { get; init; }
    public string? mid { get; init; }
    public string? details { get; init; }
    public string? protocol { get; init; }
    public string? host { get; init; }
    public int port { get; init; }
    public string? path { get; init; }

    public MonitorDetail? MonitorDetail => 
        details != null ? JsonSerializer.Deserialize<MonitorDetail>(details) : null;
}

public class MonitorDetail
{
    [JsonPropertyName("auto_host")]
    public string? MonitorStreamUrl { get; set; }
    [JsonPropertyName("muser")]
    public string? Username { get; set; }
    [JsonPropertyName("mpass")]
    public string? Password { get; set; }
}