using Polly;
using Polly.Extensions.Http;

namespace CasaBotApp.Extensions;

public class RetryPolicyExtension
{
    public static IAsyncPolicy<HttpResponseMessage> GetRetryPolicy()
    {
        return HttpPolicyExtensions
            .HandleTransientHttpError()
            .WaitAndRetryForeverAsync(retryAttempt => TimeSpan.FromSeconds(Math.Pow(2, retryAttempt)));
        
    }
}